@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root{
 --color-primary: orange;
    --card-color-background: radial-gradient(at center bottom, rgb(221 159 5 / 62%), #ffffff);
    
}

img{
    width: 5rem;
    
}

*{
    margin: 0;
    font-family: "DM Sans", serif;
    
    /* Sirve para ver que objeto tiene un tamano que desborda la pantalla: 
    outline: 1px solid red !important;*/
    

}


header{
    display: grid;
    grid-template-columns: 1fr 2fr;
    height: 5rem;
    width: 100%;
    min-width: 320px;
    margin: 0 auto;
    border-bottom: #333333 0.1rem solid;
    position: fixed;
    z-index: 1;

}

.icon{
    display: flex;
    align-items: center;
    justify-content: stretch;
}

.icon__img{
    width: 3rem;
    padding: 1rem;
    margin: 5px;
    
}


.icon__name{
    font-size: 1.3rem;
    font-weight: 600;
    font-stretch: semi-expanded;
    text-transform: uppercase;
}

.nav{
    display: flex;
    align-self: stretch;
    justify-content: flex-end;
    margin: 0.5rem 5rem;
}

.nav__ul{
    padding: 0;
}


.ul__link{
    margin: 1rem 0.5rem;
    color: black;
    text-decoration: none;
    
    
    
}

.ul__link:hover{
    cursor: pointer;
    color: orangered;
}

.ul__button{
    margin: 1rem;
    width: 7rem;
    height: 2.5rem;
    background-color: var(--color-primary);
    font-weight: 500;
    border-radius: 15px;
    font-size: 1rem;
    cursor: pointer;
    border: 1px solid;
}


.button__link{
    color: black;
    text-decoration: none;
}

.ul__button:hover, .card__button:hover{
        background-color: rgba(255, 148, 0, 0.73);
}




/*Main Content*/

main{
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    
}

.card {
    margin: 10rem auto;
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 6rem 6rem 6rem 4rem;
    border: 0.1rem black solid;
    border-radius: 1rem;
    box-shadow:  6px 8px 8px 2px;
    gap: 2rem;
    width: 100%;
    max-width: 70%;
    font-size: clamp(1rem, 4vw, 1rem);
}

.card:hover{
    transform: scale(105%);
}

.card__container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.card__greeting{
    
    color: var(--color-primary);
    font-weight: 600;
}

.card__img{
    width: 20rem;
    
    
    border-radius: 50%;
}

.card__button{
    display: flex;
    border-radius: 0.8rem;
    cursor: pointer;
    background-color: var(--color-primary);
    font-size: 1rem;
    font-weight: 600;
    margin: 1rem 0;
    min-height: 2rem;
    width: 8rem;
    justify-content: center;
    
}

.card__button--link{
    color: black;
    text-decoration: none;
    align-self: center;
}

.card__description{
    padding: 1rem;
}


.tools__section{
    width: 100%;
    margin: 0 auto;
    display: flex;
    background: #F8F9FA;
    gap: 4rem;
    justify-content: center;
    min-width: 300px;
    
   
    
    
}

.tools{
    width: 3rem;
    height: 3rem;
    padding: 1rem;
}



.cards{
    display: flex;
    justify-content: center;
    width: 100%;
    margin: 10rem auto;
    min-width: 10rem;
    max-width: 95%;
    flex-wrap: wrap;
    
}

.element{
    background-color: rgba(255, 255, 255, 0.8);
    border: lightgray 1px solid;
    height: 20rem ;
    width: 20rem;
    margin: 1rem;
    padding: 5rem 1rem;
    border-radius: 1rem;
    box-shadow: #333333 1px 1px 1px;
    
}


ul{
    text-align: left;
}

.ul__li{
    margin: 1rem;
}

.element:hover{
    box-shadow: 5px 5px 5px #333333;
    transform: scale(105%);
}




.img__icon__social{
    position: fixed;
    bottom: 20px;
    right: 20px;  
    
}

.img__icon--float{
    height: 3rem;
    width: 3rem;
   
}

.img__icon--float:hover{    
    transform: scale(130%);
    
}

.footer___info{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    background: linear-gradient( to top, #333333, #191818)  ;

    width: 100%;
    color: whitesmoke;
}

.info{
    display: flex;
    margin: 2rem;
    padding: 1rem;
    width: 70%;
    justify-content: center;
    
    
}

.info__items{
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.items__list{
    display: flex;
    gap: 1rem;
}

.item--link{
    margin: 1rem;
    list-style-type: none;
    text-decoration: none;
    color: white;
    font-weight: 500;
}

.item--link:hover{
    color: rgba(255, 148, 0, 0.73);
}

.info___contact{
    display: flex;
    justify-content: center;
    gap: 1rem;
    
}

.contact--square{
    display: flex;
    border: 1px solid black;
    width: 10%;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    cursor: pointer;
    background-color: #333333;
    
}


.contact--square:hover{
    transform: scale(105%);
}

.info___contact img{
    width: 70%;
    padding: 0.5rem;
}

.info__copyright{
    display: grid;
    width: 100%;
    background: linear-gradient( to bottom, #333333, #191818)  ;
    color: white;
    grid-template-columns: 1fr 1fr;
    height: 4rem;
    
}

.info__phrase{
     display: flex;
    align-content: center;
    margin:  0 6%;
}

.info__phrase--disabled{
    display: flex;
    justify-content: right;
    margin: 0 15%;
    color: #aaaaaa;
}








@media (min-width: 1200px) {
    .card{
        min-width: 30%;
        max-width: 60%;
    }
}

@media (min-width: 1500px){
    .card{
        max-width: 45%;
    }
}